connect 'jdbc:derby://localhost:1527/c:\derby10.1.1\OPTIM\optim;create=true';

------------------------------------------------------------------------------------------------\
-- Mock extended lookup tables
-- To create tables for a new nationality, copy these mock tables, uncomment the DDL and change 
--  the national contraction from mk to the national contraction of you choice. The DDL of the
--  mock nationality column types should be reflected consistently across the implemented
--  lookup tables. Labels and lengths, of course, may vary.

-- table extended_lookup.mk_address

-- create table extended_lookup.mk_addresses (
--   seq int generated always as identity
--                      (start with -4, increment by 1),
--   address1 varchar(50) not null,
--   address2 varchar(50)not null,
--   locality varchar(28)not null,
--   city     varchar(40)not null,
--   postcode char(8)not null,
--               email_address varchar(50));
-- alter table extended_lookup.mk_address add constraint umk_addresses 
--                              unique (address1,
--                              city,
--                              postcode);

--create unique index extended_lookup.xmkaddrpk
--   on extended_lookup.mk_addresses
--   (seq  asc);
--alter table extended_lookup.mk_addresses
--   add primary key
--   (seq);   


--table extended_lookup.mk_person

--  create table extended_lookup.mk_person ( 
--     seq int generated always as identity
--                              (start with -4, increment by 1),
--     id char(6),
--     firstname varchar(30) not null,
--     lastname varchar(30) not null,
--     company varchar(40),
--     nationalid varchar(11) not null,
--     sex char(1) not null,
--     phone varchar(14) not null,
--     birthdate date not null,
--     email_address varchar(50));
--  alter table extended_lookup.mk_person add constraint umk_person
--                              unique (
--                              firstname,
--                              lastname,
--                              nationalid,
--        sex,
--                              phone,
--        birthdate);

--create unique index extended_lookup.xmkpersonpk
--   on extended_lookup.mk_person
--   (seq  asc);
--alter table extended_lookup.mk_person
--   add primary key
--   (seq);     

--table extended_lookup.mk_firstname
 
-- create table extended_lookup.mk_firstname (
--    seq int generated always as identity
--                              (start with -4, increment by 1),
--    firstname varchar(30) not null);
--  alter table extended_lookup.mk_firstname add constraint umk_firstname
--                      unique (firstname);
        
--create unique index extended_lookup.xmkfirstnamepk
--   on extended_lookup.mk_firstname
--   (seq asc);
--alter table extended_lookup.mk_firstname 
--   add primary key
--   (seq);


--table extended_lookup.mk_firstnamef
 
-- create table extended_lookup.mk_firstname_f (
--   seq int generated always as identity
--                       (start with -4, increment by 1),
--   firstname varchar(30) not null);
--  alter table extended_lookup.mk_firstname_f add constraint umk_firstnamef
--        unique (firstname);

--create unique index extended_lookup.xmkfirstnamefpk
--   on extended_lookup.mk_firstname_f
--   (seq asc);
--alter table extended_lookup.mk_firstname_f 
--   add primary key
--   (seq);


--table extended_lookup.mk_firstnamem
 
-- create table extended_lookup.mk_firstname_m (
--    seq int generated always as identity
--                              (start with -4, increment by 1),
--    firstname varchar(30) not null);
--  alter table extended_lookup.mk_firstname_m add constraint umk_firstnamem
--                              unique (firstname);

--create unique index extended_lookup.xmkfirstnamempk
--   on extended_lookup.mk_firstname_m
--   (seq asc);
--alter table extended_lookup.mk_firstname_m 
--   add primary key
--   (seq);


--table extended_lookup.mk_lastname 

-- create table extended_lookup.mk_lastname (
--    seq int generated always as identity
--                              (start with -4, increment by 1),
--    lastname varchar(30) not null);
--  alter table extended_lookup.mk_lasttname add constraint umk_lasttname
--               unique (lastname);     

--create unique index extended_lookup.xmklastnamepk
--   on extended_lookup.mk_lastname
--   (seq asc);
--alter table extended_lookup.mk_lastname 
--   add primary key
--   (seq);
------------------------------------------------------------------------------------------------\



drop table extended_lookup.au_addresses;
drop table extended_lookup.au_person;
drop table extended_lookup.au_firstname;
drop table extended_lookup.au_firstname_f;
drop table extended_lookup.au_firstname_m;
drop table extended_lookup.au_lastname;
drop table extended_lookup.ca_addresses;
drop table extended_lookup.ca_person;
drop table extended_lookup.ca_firstname;
drop table extended_lookup.ca_firstname_f;
drop table extended_lookup.ca_firstname_m;
drop table extended_lookup.ca_lastname;
drop table extended_lookup.fr_addresses;
drop table extended_lookup.fr_person;
drop table extended_lookup.fr_firstname;
drop table extended_lookup.fr_firstname_f;
drop table extended_lookup.fr_firstname_m;
drop table extended_lookup.fr_lastname;
drop table extended_lookup.de_addresses;
drop table extended_lookup.de_person;
drop table extended_lookup.de_firstname;
drop table extended_lookup.de_firstname_f;
drop table extended_lookup.de_firstname_m;
drop table extended_lookup.de_lastname;
drop table extended_lookup.es_addresses;
drop table extended_lookup.es_person;
drop table extended_lookup.es_firstname;
drop table extended_lookup.es_firstname_f;
drop table extended_lookup.es_firstname_m;
drop table extended_lookup.es_lastname;
drop table extended_lookup.it_addresses;
drop table extended_lookup.it_person;
drop table extended_lookup.it_firstname;
drop table extended_lookup.it_firstname_f;
drop table extended_lookup.it_firstname_m;
drop table extended_lookup.it_lastname;
drop table extended_lookup.us_addresses;
drop table extended_lookup.us_person;
drop table extended_lookup.us_firstname;
drop table extended_lookup.us_firstname_f;
drop table extended_lookup.us_firstname_m;
drop table extended_lookup.us_lastname;
drop table extended_lookup.uk_addresses;
drop table extended_lookup.uk_person;
drop table extended_lookup.uk_firstname;
drop table extended_lookup.uk_firstname_f;
drop table extended_lookup.uk_firstname_m;
drop table extended_lookup.uk_lastname;
drop table extended_lookup.company;
drop table extended_lookup.nationality;
drop table extended_lookup.domain_names;
drop table EXTENDED_LOOKUP.JP_ADDRESSES;
drop table EXTENDED_LOOKUP.JP_PERSON;
drop table EXTENDED_LOOKUP.JP_FIRSTNAME;
drop table EXTENDED_LOOKUP.JP_FIRSTNAME_F;
drop table EXTENDED_LOOKUP.JP_FIRSTNAME_M;
drop table EXTENDED_LOOKUP.JP_LASTNAME;
drop table extended_lookup.jp_domain_names;
drop table extended_lookup.amex_ccn;
drop table extended_lookup.mc_ccn;
drop table extended_lookup.dc_ccn;
drop table extended_lookup.visa_ccn;
drop table extended_lookup.disc_ccn;
drop table extended_lookup.jcb_ccn;

drop schema extended_lookup restrict;

create schema extended_lookup;

--Australian extended lookup tables
--table extended_lookup.au_address

create table extended_lookup.au_addresses (
    seq int generated always as identity
                  (start with -4, increment by 1),
    address1 varchar(50) not null,
    address2 varchar(50)not null,
    locality varchar(28)not null,
    city     varchar(40) not null,
    postcode char(8) not null);
alter table extended_lookup.au_addresses add constraint uau_addresses
                                unique (address1,
                                city,
                                postcode);     

create unique index extended_lookup.xauaddrpk
   on extended_lookup.au_addresses
   (seq  asc);
alter table extended_lookup.au_addresses
   add primary key
   (seq);   


--table extended_lookup.au_person

create table extended_lookup.au_person ( 
    seq int generated always as identity
                  (start with -4, increment by 1),
    id char(6),
    firstname varchar(30) not null,
    lastname varchar(30) not null,
    company varchar(40),
    nationalid varchar(11),
    sex char(1) not null,
    phone varchar(14) not null,
    birthdate date  not null,
    email_address varchar(50));
alter table extended_lookup.au_person add constraint uau_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);    

create unique index extended_lookup.xaupersonpk
   on extended_lookup.au_person
   (seq  asc);
alter table extended_lookup.au_person
   add primary key
   (seq);     

--table extended_lookup.au_firstname 

create table extended_lookup.au_firstname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname add constraint uau_firstname  
                                unique (firstname);      

create unique index extended_lookup.xaufirstnamepk
   on extended_lookup.au_firstname
   (seq asc);
alter table extended_lookup.au_firstname 
   add primary key
   (seq);


--table extended_lookup.au_firstnamef 

create table extended_lookup.au_firstname_f (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname_f add constraint uau_firstnamef  
                                unique (firstname);        

create unique index extended_lookup.xaufirstnamefpk
   on extended_lookup.au_firstname_f
   (seq asc);
alter table extended_lookup.au_firstname_f 
   add primary key
   (seq);


--table extended_lookup.au_firstnamem 

create table extended_lookup.au_firstname_m (
    seq int generated always as identity
                  (start with -4, increment by 1),
    firstname varchar(30) not null);
alter table extended_lookup.au_firstname_m add constraint uau_firstnamem  
                                unique (firstname);        

create unique index extended_lookup.xaufirstnamempk
   on extended_lookup.au_firstname_m
   (seq asc);
alter table extended_lookup.au_firstname_m 
   add primary key
   (seq);


--table extended_lookup.au_lastname 

create table extended_lookup.au_lastname (
    seq int generated always as identity
                  (start with -4, increment by 1),
    lastname varchar(30) not null);
alter table extended_lookup.au_lastname add constraint uau_lastname  
                                unique (lastname);        

create unique index extended_lookup.xaulastnamepk
   on extended_lookup.au_lastname
   (seq asc);
alter table extended_lookup.au_lastname 
   add primary key
   (seq);


---------------------------------------------------------------------------------------------------
--Canadian extended lookup tables
--table extended_lookup.ca_address

create table extended_lookup.ca_addresses (
 seq int generated always as identity
                (start with -4, increment by 1),
 address1 varchar(50) not null,
 address2 varchar(50)not null,
 locality varchar(28)not null,
 city     varchar(40)not null,
 postcode char(8)not null);
alter table extended_lookup.ca_addresses add constraint uca_addresses
                                unique (address1,
                                city,
                                postcode); 
 
create unique index extended_lookup.xcaaddrpk
   on extended_lookup.ca_addresses
   (seq  asc);
alter table extended_lookup.ca_addresses
   add primary key
   (seq);   
      
--table extended_lookup.ca_person

create table extended_lookup.ca_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.ca_person add constraint uca_person
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);
  
create unique index extended_lookup.xcapersonpk
   on extended_lookup.ca_person
   (seq  asc);
alter table extended_lookup.ca_person
   add primary key
   (seq);     

--table extended_lookup.ca_firstname 

create table extended_lookup.ca_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.ca_firstname add constraint uca_firstname  
                                unique (firstname);  

create unique index extended_lookup.xcafirstnamepk
   on extended_lookup.ca_firstname
   (seq asc);
alter table extended_lookup.ca_firstname 
   add primary key
   (seq);


--table extended_lookup.ca_firstnamef 

create table extended_lookup.ca_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.ca_firstname_f add constraint uca_firstnamef  
                                        unique (firstname);  

create unique index extended_lookup.xcafirstnamefpk
   on extended_lookup.ca_firstname_f
   (seq asc);
alter table extended_lookup.ca_firstname_f 
   add primary key
   (seq);


--table extended_lookup.ca_firstnamem 

create table extended_lookup.ca_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30)not null);
alter table extended_lookup.ca_firstname_m add constraint uca_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xcafirstnamempk
   on extended_lookup.ca_firstname_m
   (seq asc);
alter table extended_lookup.ca_firstname_m 
   add primary key
   (seq);


--table extended_lookup.ca_lastname 

create table extended_lookup.ca_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.ca_lastname add constraint uca_lastname
                                                unique (lastname);

create unique index extended_lookup.xcalastnamepk
   on extended_lookup.ca_lastname
   (seq asc);
alter table extended_lookup.ca_lastname 
   add primary key
   (seq);


------------------------------------------------------------------------------------------------
--French extended lookup tables
--table extended_lookup.fr_address

create table extended_lookup.fr_addresses (
 seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50)not null,
 address2 varchar(50)not null,
 locality varchar(28)not null,
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table extended_lookup.fr_addresses add constraint ufr_addresses 
                                unique (address1,
                                posttown,
                                postcode); 
  
create unique index extended_lookup.xfraddrpk
   on extended_lookup.fr_addresses
   (seq  asc);
alter table extended_lookup.fr_addresses
   add primary key
   (seq);   

      
--table extended_lookup.fr_person

create table extended_lookup.fr_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11) ,
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.fr_person add constraint ufr_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);
                                    
create unique index extended_lookup.xfrpersonpk
   on extended_lookup.fr_person
   (seq  asc);
alter table extended_lookup.fr_person
   add primary key
   (seq);     

--table extended_lookup.fr_firstname 

create table extended_lookup.fr_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname add constraint ufr_firstname  
                                unique (firstname);

create unique index extended_lookup.xfrfirstnamepk
   on extended_lookup.fr_firstname
   (seq asc);
alter table extended_lookup.fr_firstname 
   add primary key
   (seq);


--table extended_lookup.fr_firstnamef
 
create table extended_lookup.fr_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname_f add constraint ufr_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xfrfirstnamefpk
   on extended_lookup.fr_firstname_f
   (seq asc);
alter table extended_lookup.fr_firstname_f 
   add primary key
   (seq);


--table extended_lookup.fr_firstname
 
create table extended_lookup.fr_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.fr_firstname_m add constraint ufr_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xfrfirstnamempk
   on extended_lookup.fr_firstname_m
   (seq asc);
alter table extended_lookup.fr_firstname_m 
   add primary key
   (seq);

--table extended_lookup.fr_lastname 

create table extended_lookup.fr_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.fr_lastname add constraint ufr_lastname  
                                        unique (lastname);

create unique index extended_lookup.xfrlastnamepk
   on extended_lookup.fr_lastname
   (seq asc);
alter table extended_lookup.fr_lastname 
   add primary key
   (seq);


------------------------------------------------------------------------------------------------
--German extended lookup tables
--table extended_lookup.de_address

create table extended_lookup.de_addresses (
  seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50) not null,
 address2 varchar(50)not null,
 locality varchar(28)not null,
 city     varchar(40)not null,
 postcode char(8)not null);
alter table extended_lookup.de_addresses add constraint ude_addresses 
                                unique (address1,
                                city,
                                postcode); 
  
create unique index extended_lookup.xdeaddrpk
   on extended_lookup.de_addresses
   (seq  asc);
alter table extended_lookup.de_addresses
   add primary key
   (seq);   

      
--table extended_lookup.de_person

create table extended_lookup.de_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(14) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.de_person add constraint ude_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);  
                                  
create unique index extended_lookup.xdepersonpk
   on extended_lookup.de_person
   (seq  asc);
alter table extended_lookup.de_person
   add primary key
   (seq);     

--table extended_lookup.de_firstname
 
create table extended_lookup.de_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname add constraint ude_firstname  
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamepk
   on extended_lookup.de_firstname
   (seq asc);
alter table extended_lookup.de_firstname 
   add primary key
   (seq);


--table extended_lookup.de_firstnamef
 
create table extended_lookup.de_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname_f add constraint ude_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamefpk
   on extended_lookup.de_firstname_f
   (seq asc);
alter table extended_lookup.de_firstname_f 
   add primary key
   (seq);


--table extended_lookup.de_firstname 

create table extended_lookup.de_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.de_firstname_m add constraint ude_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xdefirstnamempk
   on extended_lookup.de_firstname_m
   (seq asc);
alter table extended_lookup.de_firstname_m 
   add primary key
   (seq);


--table extended_lookup.de_lastname 

create table extended_lookup.de_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.de_lastname add constraint ude_lastname  
                                        unique (lastname);
create unique index extended_lookup.xdelastnamepk
   on extended_lookup.de_lastname
   (seq asc);
alter table extended_lookup.de_lastname 
   add primary key
   (seq);


------------------------------------------------------------------------------------------------

--Spanish extended lookup tables
--table extended_lookup.es_address

create table extended_lookup.es_addresses (
 seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50) not null,
 address2 varchar(50)not null,
 locality varchar(28)not null,
 city     varchar(40) not null,
 postcode char(8) not null);
alter table extended_lookup.es_addresses add constraint ues_addresses 
                                unique (address1,
                                city,
                                postcode); 
  
create unique index extended_lookup.xesaddrpk
   on extended_lookup.es_addresses
   (seq  asc);
alter table extended_lookup.es_addresses
   add primary key
   (seq);   

      
--table extended_lookup.es_person

create table extended_lookup.es_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1)  not null,
  phone varchar(14),
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.es_person add constraint ues_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                birthdate);
                                  
create unique index extended_lookup.xespersonpk
   on extended_lookup.es_person
   (seq  asc);
alter table extended_lookup.es_person
   add primary key
   (seq);     

--table extended_lookup.es_firstname 

create table extended_lookup.es_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname add constraint ues_firstname  
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamepk
   on extended_lookup.es_firstname
   (seq asc);
alter table extended_lookup.es_firstname 
   add primary key
   (seq);


--table extended_lookup.es_firstnamef 

create table extended_lookup.es_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname_f add constraint ues_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamefpk
   on extended_lookup.es_firstname_f
   (seq asc);
alter table extended_lookup.es_firstname_f 
   add primary key
   (seq);


--table extended_lookup.es_firstname 

create table extended_lookup.es_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.es_firstname_m add constraint ues_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xesfirstnamempk
   on extended_lookup.es_firstname_m
   (seq asc);
alter table extended_lookup.es_firstname_m 
   add primary key
   (seq);


--table extended_lookup.es_lastname 

create table extended_lookup.es_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.es_lastname add constraint ues_lastname  
                                        unique (lastname);

create unique index extended_lookup.xeslastnamepk
   on extended_lookup.es_lastname
   (seq asc);
alter table extended_lookup.es_lastname 
   add primary key
   (seq);


------------------------------------------------------------------------------------------------

--Italian extended lookup tables
--table extended_lookup.it_address

create table extended_lookup.it_addresses (
 seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50) not null,
 address2 varchar(50)not null,
 locality varchar(28)not null,
 posttown varchar(40)not null,
 postcode char(8) not null);
alter table extended_lookup.it_addresses add constraint uit_addresses 
                                unique (address1,
                                posttown,
                                postcode); 
  
create unique index extended_lookup.xitaddrpk
   on extended_lookup.it_addresses
   (seq  asc);
alter table extended_lookup.it_addresses
   add primary key
   (seq);   

      
--table extended_lookup.it_person

create table extended_lookup.it_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(16),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.it_person add constraint uit_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);
                                  
create unique index extended_lookup.xitpersonpk
   on extended_lookup.it_person
   (seq  asc);
alter table extended_lookup.it_person
   add primary key
   (seq);     

--table extended_lookup.it_firstname 

create table extended_lookup.it_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname add constraint uit_firstname  
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamepk
   on extended_lookup.it_firstname
   (seq asc);
alter table extended_lookup.it_firstname 
   add primary key
   (seq);


--table extended_lookup.it_firstnamef 

create table extended_lookup.it_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname_f add constraint uit_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamefpk
   on extended_lookup.it_firstname_f
   (seq asc);
alter table extended_lookup.it_firstname_f 
   add primary key
   (seq);


--table extended_lookup.it_firstname 

create table extended_lookup.it_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.it_firstname_m add constraint uit_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xitfirstnamempk
   on extended_lookup.it_firstname_m
   (seq asc);
alter table extended_lookup.it_firstname_m 
   add primary key
   (seq);


--table extended_lookup.it_lastname 

create table extended_lookup.it_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.it_lastname add constraint uit_lastname  
                                        unique (lastname);

create unique index extended_lookup.xitlastnamepk
   on extended_lookup.it_lastname
   (seq asc);
alter table extended_lookup.it_lastname 
   add primary key
   (seq);

---------------------------------------------------------------------------------------------------
--table extended_lookup.us_address

create table extended_lookup.us_addresses (
  seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50) not null,
 address2 varchar(50)not null,
 city varchar(40) not null,
 state char(2) not null,
 zipcode char(5) not null,
 zipplus4 char(4) not null);
alter table extended_lookup.us_addresses add constraint uus_addresses 
                                unique (address1,
                                city,
                                state,
                                zipcode
                                zipplus4);
  
create unique index extended_lookup.xusaddrpk
   on extended_lookup.us_addresses
   (seq  asc);
alter table extended_lookup.us_addresses
   add primary key
   (seq);   

      
--table extended_lookup.us_person

create table extended_lookup.us_person ( 
  seq int generated always as identity
                (start with -4, increment by 1),  
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  ssn varchar(11),
  sex char(1) not null,
  phone varchar(12) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.us_person add constraint uus_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);
                                  
create unique index extended_lookup.xuspersonpk
   on extended_lookup.us_person
   (seq  asc);
alter table extended_lookup.us_person
   add primary key
   (seq);     

--table extended_lookup.us_firstname
 
create table extended_lookup.us_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname add constraint uus_firstname  
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamepk
   on extended_lookup.us_firstname
   (seq asc);
alter table extended_lookup.us_firstname 
   add primary key
   (seq);


--table extended_lookup.us_firstnamef
 
create table extended_lookup.us_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname_f add constraint uus_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamefpk
   on extended_lookup.us_firstname_f
   (seq asc);
alter table extended_lookup.us_firstname_f 
   add primary key
   (seq);


--table extended_lookup.us_firstnamem 

create table extended_lookup.us_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.us_firstname_m add constraint uus_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xusfirstnamempk
   on extended_lookup.us_firstname_m
   (seq asc);
alter table extended_lookup.us_firstname_m 
   add primary key
   (seq);


--table extended_lookup.us_lastname 

create table extended_lookup.us_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.us_lastname add constraint uus_lastname  
                                        unique (lastname);

create unique index extended_lookup.xuslastnamepk
   on extended_lookup.us_lastname
   (seq asc);
alter table extended_lookup.us_lastname 
   add primary key
   (seq);

------------------------------------------------------------------------------------------------

--table extended_lookup.uk_address

create table extended_lookup.uk_addresses (
  seq int generated always as identity
                (start with -4, increment by 1), 
 address1 varchar(50) not null,                 
 address2 varchar(50)not null,
 locality varchar(28)not null,
 posttown varchar(40) not null,
 postcode char(8) not null);
alter table extended_lookup.uk_addresses add constraint uuk_addresses 
                                unique (address1,
                                posttown,
                                postcode); 
  
create unique index extended_lookup.xukaddrpk
   on extended_lookup.uk_addresses
   (seq  asc);
alter table extended_lookup.uk_addresses
   add primary key
   (seq);   

      
--table extended_lookup.uk_person

create table extended_lookup.uk_person ( 
  seq int generated always as identity
                (start with -4, increment by 1), 
  id char(6),
  firstname varchar(30) not null,
  lastname varchar(30) not null,
  company varchar(40),
  nationalid varchar(11),
  sex char(1) not null,
  phone varchar(13) not null,
  birthdate date not null,
  email_address varchar(50));
alter table extended_lookup.uk_person add constraint uuk_person  
                                unique (
                                firstname,
                                lastname,
                                sex,
                                phone,
                                birthdate);
                                  
create unique index extended_lookup.xukpersonpk
   on extended_lookup.uk_person
   (seq  asc);
alter table extended_lookup.uk_person
   add primary key
   (seq);     

--table extended_lookup.uk_firstname
 
create table extended_lookup.uk_firstname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname add constraint uuk_firstname  
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamepk
   on extended_lookup.uk_firstname
   (seq asc);
alter table extended_lookup.uk_firstname 
   add primary key
   (seq);


--table extended_lookup.uk_firstnamef 

create table extended_lookup.uk_firstname_f (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname_f add constraint uuk_firstnamef  
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamefpk
   on extended_lookup.uk_firstname_f
   (seq asc);
alter table extended_lookup.uk_firstname_f 
   add primary key
   (seq);


--table extended_lookup.uk_firstname 

create table extended_lookup.uk_firstname_m (
  seq int generated always as identity
                (start with -4, increment by 1), 
  firstname varchar(30) not null);
alter table extended_lookup.uk_firstname_m add constraint uuk_firstnamem  
                                        unique (firstname);

create unique index extended_lookup.xukfirstnamempk
   on extended_lookup.uk_firstname_m
   (seq asc);
alter table extended_lookup.uk_firstname_m 
   add primary key
   (seq);


--table extended_lookup.uk_lastname 

create table extended_lookup.uk_lastname (
  seq int generated always as identity
                (start with -4, increment by 1), 
  lastname varchar(30) not null);
alter table extended_lookup.uk_lastname add constraint uuk_lastname  
unique (lastname);

create unique index extended_lookup.xuklastnamepk
   on extended_lookup.uk_lastname
   (seq asc);
alter table extended_lookup.uk_lastname 
   add primary key
   (seq);

--table extended_lookup.company

create table extended_lookup.company (
  seq int generated always as identity
                (start with -4, increment by 1), 
   name varchar(50) not null);
alter table extended_lookup.company add constraint u_company   
                                        unique (name);

create unique index extended_lookup.xcompanypk
   on extended_lookup.company      
   (seq asc);
alter table extended_lookup.company 
   add primary key
   (seq);

--table extended_lookup.nationality

create table extended_lookup.nationality (
  seq int generated always as identity
                (start with -4, increment by 1), 
   id varchar(20) not null);
alter table extended_lookup.nationality add constraint u_nationality   
                                        unique (id);

create unique index extended_lookup.xnationalitypk
   on extended_lookup.nationality
   (seq asc);
alter table extended_lookup.nationality 
   add primary key
   (seq);

--table extended_lookup.domain_names 

create table extended_lookup.domain_names (
  seq int generated always as identity
                (start with -4, increment by 1), 
   domain_name varchar(50) not null);
alter table extended_lookup.domain_names add constraint u_domain_names   
                                        unique (domain_name);

create unique index extended_lookup.xdomainnamespk
   on extended_lookup.domain_names
   (seq asc);
alter table extended_lookup.domain_names
   add primary key
   (seq);
-----------------------------------------------------------------------------------------------

--Japanese extended lookup tables
--table extended_lookup.jp_address


create table EXTENDED_LOOKUP.JP_ADDRESSES
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  ZIPCODE CHAR(7),
  PREFECTURE VARCHAR(12),
  CITY  VARCHAR(30),
  ADDRESS1  VARCHAR(36),
  ADDRESS2  VARCHAR(42),
  PREFECTURE_RM VARCHAR(12),
  CITY_RM  VARCHAR(60),
  ADDRESS1_RM  VARCHAR(72),
  ADDRESS2_RM  VARCHAR(42),
  PREFECTURE_KF VARCHAR(24),
  CITY_KF  VARCHAR(60),
  ADDRESS1_KF  VARCHAR(72),
  ADDRESS2_KF  VARCHAR(84),
  PREFECTURE_KH VARCHAR(24),
  CITY_KH  VARCHAR(90),
  ADDRESS1_KH  VARCHAR(108),
  ADDRESS2_KH  VARCHAR(84),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_addresses add constraint ujp_addresses
--                              unique (address1,
--                              city,
--                              zipcode); 

create table EXTENDED_LOOKUP.JP_PERSON
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  ID CHAR(6),
  FIRSTNAME VARCHAR(15),
  LASTNAME VARCHAR(15),
  COMPANY VARCHAR(40),
  RESIDENTID CHAR(11),
  SEX CHAR(3),
  PHONE CHAR(12) ,
  BIRTHDATE DATE ,
  EMAIL_ADDRESS VARCHAR(50),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(30),
  FIRSTNAME_KH VARCHAR(30),
  LASTNAME_RM VARCHAR(15),
  LASTNAME_KF VARCHAR(30),
  LASTNAME_KH VARCHAR(30),
  PRIMARY KEY (SEQ)
);   
--alter table extended_lookup.jp_person add constraint ujp_person
--                              unique (
--                              firstname,
--                              lastname,
--                              sex,
--                              phone,
--                              birthdate);

create table EXTENDED_LOOKUP.JP_FIRSTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname add constraint ujp_firstname  
--                                      unique (firstname);

create table EXTENDED_LOOKUP.JP_FIRSTNAME_F
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname_f add constraint ujp_firstnamef  
--                                      unique (firstname);

create table EXTENDED_LOOKUP.JP_FIRSTNAME_M
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(15),
  FIRSTNAME_RM VARCHAR(15),
  FIRSTNAME_KF VARCHAR(15),
  FIRSTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_firstname_m add constraint ujp_firstnamem  
--                                      unique (firstname);

create table EXTENDED_LOOKUP.JP_LASTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  LASTNAME VARCHAR(15),
  LASTNAME_RM VARCHAR(15),
  LASTNAME_KF VARCHAR(15),
  LASTNAME_KH VARCHAR(15),
  PRIMARY KEY (SEQ)
);
--alter table extended_lookup.jp_lastname add constraint ujp_lastname  
--                                      unique (lastname);

--create unique index extended_lookup.xjplastnamepk
--   on extended_lookup.jp_lastname
--   (seq asc);
--alter table extended_lookup.jp_lastname 
--   add primary key
--   (seq);

create table extended_lookup.jp_domain_names (
  seq int generated always as identity
                (start with -4, increment by 1), 
   domain_name varchar(50),
  PRIMARY KEY (SEQ)
);
-----------------------------------------------------------------------------------------------
-- Credit cards
--table extended_lookup.amex_ccn (american express)

create table extended_lookup.amex_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue char(15) not null);
alter table extended_lookup.amex_ccn add constraint u_amex  
                                        unique (datavalue);

create unique index extended_lookup.xamexccnpk
   on extended_lookup.amex_ccn
   (seq asc);
alter table extended_lookup.amex_ccn 
   add primary key
   (seq);

--table extended_lookup.mc_ccn (master card)

create table extended_lookup.mc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue char(16) not null);
alter table extended_lookup.mc_ccn add constraint u_mc  
                                        unique (datavalue);

create unique index extended_lookup.xmcccnpk
   on extended_lookup.mc_ccn
   (seq asc);
alter table extended_lookup.mc_ccn 
   add primary key
   (seq);

--table extended_lookup.dc_ccn (diners club)

create table extended_lookup.dc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue char(14) not null);
alter table extended_lookup.dc_ccn add constraint u_dc  
                                        unique (datavalue);   

create unique index extended_lookup.xdcccnpk
   on extended_lookup.dc_ccn
   (seq asc);
alter table extended_lookup.dc_ccn 
   add primary key
   (seq);

--table extended_lookup.visa_ccn (VISA)

create table extended_lookup.visa_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue varchar(16) not null);
alter table extended_lookup.visa_ccn add constraint u_visa 
                                        unique (datavalue);   

create unique index extended_lookup.xvisaccnpk
   on extended_lookup.visa_ccn
   (seq asc);
alter table extended_lookup.visa_ccn 
   add primary key
   (seq);

--table extended_lookup.discover_ccn

create table extended_lookup.disc_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue char(16) not null);
alter table extended_lookup.disc_ccn add constraint u_disc  
                                        unique (datavalue);   

create unique index extended_lookup.xdiscccnpk
   on extended_lookup.disc_ccn
   (seq asc);
alter table extended_lookup.disc_ccn 
   add primary key
   (seq);

--table extended_lookup.jcb_ccn

create table extended_lookup.jcb_ccn (
  seq int generated always as identity
                (start with -4, increment by 1), 
   datavalue varchar(16) not null);
alter table extended_lookup.jcb_ccn add constraint u_jcb  
                                        unique (datavalue);   

create unique index extended_lookup.xjcbccnpk
   on extended_lookup.jcb_ccn
   (seq asc);
alter table extended_lookup.jcb_ccn 
   add primary key
   (seq);



