connect 'jdbc:derby://localhost:1527/c:\derby10.1.1\OPTIM\optim;create=true';

--
--create basic lookup schema and tables
--
  

  drop table lookup.lastname;
  drop table lookup.firstname_f;
  drop table lookup.firstname_m;
  drop table lookup.firstname;
  drop table lookup.company;
  drop table lookup.address;
  drop schema lookup restrict;

  create schema lookup;

  create table lookup.lastname(
                                seq int not null,
                                datavalue char(15));
   create unique index lookup.lastnamepk
   on lookup.lastname
   (seq  asc);
   alter table lookup.lastname
   add primary key
   (seq);   

   
   create table lookup.firstname_f(
                                   seq int not null,
                                   datavalue char(15));
   create unique index lookup.firstname_fpk
   on lookup.firstname_f
   (seq  asc);
   alter table lookup.firstname_f
   add primary key
   (seq);   

   
   create table lookup.firstname_m(
                                   seq int not null,
                                   datavalue char(15));
   create unique index lookup.firstname_mpk
   on lookup.firstname_m
   (seq  asc);
   alter table lookup.firstname_m
   add primary key
   (seq);   


   
   create table lookup.firstname(
                                 seq int not null,
                                 datavalue char(15));
   create unique index lookup.firstnamepk
   on lookup.firstname
   (seq  asc);
   alter table lookup.firstname
   add primary key
   (seq);   


   
   create table lookup.company(
                               seq int not null,
                               datavalue char(40));
   create unique index lookup.companypk
   on lookup.company
   (seq  asc);
   alter table lookup.company
   add primary key
   (seq);   

   
   create table lookup.address(
                               seq int not null,
                               address1 char(40),
                               city char(28),
                               state char(2),
                               zip char(5),
                               zipplus4 char(4));
   create unique index lookup.addresspk
   on lookup.address
   (seq  asc);
   alter table lookup.address
   add primary key
   (seq);   
