connect 'jdbc:derby://localhost:1527/D:\work\optimdb-1.0.29\optim';

-- JP_ADDRESSES --------------------------------------------------------------------------------------------------------
-- ADDRESSES: My version has no conflicts
insert into EXTENDED_LOOKUP.JP_ADDRESSES(ZIPCODE,PREFECTURE,CITY,ADDRESS1,ADDRESS2) select distinct firstname from EXTENDED_LOOKUP.JP_ADDRESSES_NC ;

-- JP_PERSON --------------------------------------------------------------------------------------------------------
-- PERSON - no constraint conflicts
--insert into EXTENDED_LOOKUP.JP_PERSON(firstname) select distinct firstname from EXTENDED_LOOKUP.JP_PERSON_NC ;

-- JP_FIRSTNAME --------------------------------------------------------------------------------------------------------
drop table EXTENDED_LOOKUP.JP_FIRSTNAME_NC;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_NC
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30) not null
);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME ;
create table EXTENDED_LOOKUP.JP_FIRSTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_firstname add constraint ujp_firstname  
                                      unique (firstname);
insert into EXTENDED_LOOKUP.JP_FIRSTNAME(firstname) select distinct firstname from EXTENDED_LOOKUP.JP_FIRSTNAME_NC ;

-- JP_FIRSTNAME_F --------------------------------------------------------------------------------------------------------
drop table EXTENDED_LOOKUP.JP_FIRSTNAME_F_NC;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_F_NC
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30) not null
);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME_F ;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_F
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_firstname_f add constraint ujp_firstnamef  
                                      unique (firstname);
insert into EXTENDED_LOOKUP.JP_FIRSTNAME_F(firstname) select distinct firstname from EXTENDED_LOOKUP.JP_FIRSTNAME_F_NC ;

-- JP_FIRSTNAME_M --------------------------------------------------------------------------------------------------------
drop table EXTENDED_LOOKUP.JP_FIRSTNAME_M_NC;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_M_NC
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30)not null
);

drop table EXTENDED_LOOKUP.JP_FIRSTNAME_M ;
create table EXTENDED_LOOKUP.JP_FIRSTNAME_M
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  FIRSTNAME VARCHAR(30)not null
);
alter table extended_lookup.jp_firstname_m add constraint ujp_firstnamem  
                                      unique (firstname);
insert into EXTENDED_LOOKUP.JP_FIRSTNAME_M(firstname) select distinct firstname from EXTENDED_LOOKUP.JP_FIRSTNAME_M_NC ;

-- JP_LASTNAME --------------------------------------------------------------------------------------------------------
drop table EXTENDED_LOOKUP.JP_LASTNAME_NC;
create table EXTENDED_LOOKUP.JP_LASTNAME_NC
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  LASTNAME VARCHAR(30) not null
);

drop table EXTENDED_LOOKUP.JP_LASTNAME ;
create table EXTENDED_LOOKUP.JP_LASTNAME
(
  seq int generated always as identity
              (start with -4, increment by 1), 
  LASTNAME VARCHAR(30) not null
);
alter table extended_lookup.jp_lastname add constraint ujp_lastname  
                                      unique (lastname);
create unique index extended_lookup.xjplastnamepk
   on extended_lookup.jp_lastname
   (seq asc);
alter table extended_lookup.jp_lastname 
   add primary key
   (seq);
insert into EXTENDED_LOOKUP.JP_LASTNAME(lastname) select distinct lastname from EXTENDED_LOOKUP.JP_LASTNAME_NC ;
